Bug 1172984 - [abrt] codeblocks: AstyleConfigDlg::AstyleConfigDlg(): codeblocks killed by SIGSEGV
Summary: [abrt] codeblocks: AstyleConfigDlg::AstyleConfigDlg(): codeblocks killed by S...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: codeblocks
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c5b51889baf8dba790707faa7a2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-11 08:55 UTC by Andrey
Modified: 2014-12-31 23:09 UTC (History)
1 user (show)

Fixed In Version: codeblocks-13.12-13.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-23 18:32:09 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (102.61 KB, text/plain)
2014-12-11 08:55 UTC, Andrey
no flags Details
File: build_ids (4.76 KB, text/plain)
2014-12-11 08:55 UTC, Andrey
no flags Details
File: cgroup (190 bytes, text/plain)
2014-12-11 08:55 UTC, Andrey
no flags Details
File: core_backtrace (33.54 KB, text/plain)
2014-12-11 08:55 UTC, Andrey
no flags Details
File: dso_list (11.61 KB, text/plain)
2014-12-11 08:55 UTC, Andrey
no flags Details
File: environ (1.35 KB, text/plain)
2014-12-11 08:55 UTC, Andrey
no flags Details
File: exploitable (82 bytes, text/plain)
2014-12-11 08:55 UTC, Andrey
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-11 08:55 UTC, Andrey
no flags Details
File: maps (60.31 KB, text/plain)
2014-12-11 08:55 UTC, Andrey
no flags Details
File: open_fds (806 bytes, text/plain)
2014-12-11 08:55 UTC, Andrey
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-12-11 08:55 UTC, Andrey
no flags Details
File: var_log_messages (175 bytes, text/plain)
2014-12-11 08:55 UTC, Andrey
no flags Details

Description Andrey 2014-12-11 08:55:07 UTC
Description of problem:
1. Start Code::Blocks IDE
2. Go to menu Settings->Editor...
That's all. CB crashing here every time.

Version-Release number of selected component:
codeblocks-13.12-8.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        codeblocks
crash_function: AstyleConfigDlg::AstyleConfigDlg
executable:     /usr/bin/codeblocks
kernel:         3.17.4-301.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 AstyleConfigDlg::AstyleConfigDlg at astyleconfigdlg.cpp:52
 #1 AStylePlugin::GetConfigurationPanel at astyleplugin.cpp:71
 #2 PluginManager::GetConfigurationPanels at pluginmanager.cpp:1290
 #3 EditorConfigurationDlg::AddPluginPanels at editorconfigurationdlg.cpp:290
 #4 EditorConfigurationDlg::EditorConfigurationDlg at editorconfigurationdlg.cpp:256
 #5 MainFrame::OnSettingsEditor at main.cpp:4564
 #6 wxEvtHandler::ProcessEventIfMatches at src/common/event.cpp:1239
 #7 wxEventHashTable::HandleEvent at src/common/event.cpp:906
 #8 wxEvtHandler::ProcessEvent at src/common/event.cpp:1301
 #33 gtk_menu_clicked_callback at src/gtk/menu.cpp:653

Comment 1 Andrey 2014-12-11 08:55:11 UTC
Created attachment 967127 [details]
File: backtrace

Comment 2 Andrey 2014-12-11 08:55:14 UTC
Created attachment 967128 [details]
File: build_ids

Comment 3 Andrey 2014-12-11 08:55:15 UTC
Created attachment 967129 [details]
File: cgroup

Comment 4 Andrey 2014-12-11 08:55:17 UTC
Created attachment 967130 [details]
File: core_backtrace

Comment 5 Andrey 2014-12-11 08:55:19 UTC
Created attachment 967131 [details]
File: dso_list

Comment 6 Andrey 2014-12-11 08:55:20 UTC
Created attachment 967132 [details]
File: environ

Comment 7 Andrey 2014-12-11 08:55:21 UTC
Created attachment 967133 [details]
File: exploitable

Comment 8 Andrey 2014-12-11 08:55:23 UTC
Created attachment 967134 [details]
File: limits

Comment 9 Andrey 2014-12-11 08:55:25 UTC
Created attachment 967135 [details]
File: maps

Comment 10 Andrey 2014-12-11 08:55:27 UTC
Created attachment 967136 [details]
File: open_fds

Comment 11 Andrey 2014-12-11 08:55:28 UTC
Created attachment 967137 [details]
File: proc_pid_status

Comment 12 Andrey 2014-12-11 08:55:29 UTC
Created attachment 967138 [details]
File: var_log_messages

Comment 13 Dan Horák 2014-12-11 10:40:40 UTC
thanks for the report, it is very likely related to changes from bug 1050825

Comment 14 Andrey 2014-12-12 02:53:02 UTC
Solution: rename /usr/share/codeblocks/Astyle.zip to astyle.zip

Comment 15 Dan Horák 2014-12-12 08:03:26 UTC
proper fix is in testing now ...

Comment 16 Fedora Update System 2014-12-12 09:25:01 UTC
codeblocks-13.12-13.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/codeblocks-13.12-13.el7

Comment 17 Fedora Update System 2014-12-12 09:26:12 UTC
codeblocks-13.12-13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/codeblocks-13.12-13.fc21

Comment 18 Fedora Update System 2014-12-12 23:08:04 UTC
Package codeblocks-13.12-13.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing codeblocks-13.12-13.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-4646/codeblocks-13.12-13.el7
then log in and leave karma (feedback).

Comment 19 Andrey 2014-12-15 04:15:25 UTC
Tested codeblocks-13.12-13.fc21 - it works fine.

Comment 20 Fedora Update System 2014-12-23 18:32:09 UTC
codeblocks-13.12-13.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-12-31 23:09:58 UTC
codeblocks-13.12-13.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.